## org.w3c.dom.ranges
Interface DocumentRange

public interface DocumentRange

See also the Document Object Model (DOM) Level 2 Traversal and Range Specification.

Since:
  DOM Level 2

Method Summary
`Range` `createRange()` This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.

Method Detail

### createRange

    public Range createRange()

  This interface can be obtained from the object implementing the `Document` interface using binding-specific casting methods.
  Returns:
    The initial state of the Range returned from this method is such that both of its boundary-points are positioned at the beginning of the corresponding Document, before any content. The Range returned can only be used to select content associated with this Document, or with DocumentFragments and Attrs for which this Document is the `ownerDocument`.

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.